For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inTalk to sales
GuidesAPI Reference
  • Introduction
    • Getting started
  • API Reference
      • POSTBulk create transactions
      • GETRetrieve a transaction batch
      • POSTBatch create transaction events
      • GETRetrive transaction events batch
      • POSTBatch create consumer users
      • GETRetrieve a consumer user batch
      • POSTBatch create business users
      • GETRetrieve a business user batch
      • POSTBatch create consumer user events
      • GETRetrive consumer user events batch
      • POSTBatch create business user events
      • GETRetrive business user events batch
  • Webhooks
LogoLogo
Log inTalk to sales
API ReferenceBatch

Retrive consumer user events batch

GET
/batch/events/consumer/user/:batchId
GET
/batch/events/consumer/user/:batchId
$curl https://sandbox.api.flagright.com/batch/events/consumer/user/batchId \
> -H "x-api-key: <apiKey>"
1{
2 "consumerUserEvents": [
3 {
4 "timestamp": 2220000000000,
5 "userId": "string",
6 "eventId": "string",
7 "reason": "string",
8 "eventDescription": "string",
9 "updatedConsumerUserAttributes": {
10 "userDetails": {
11 "name": {
12 "firstName": "Baran",
13 "middleName": "Realblood",
14 "lastName": "Ozkan"
15 },
16 "dateOfBirth": "1991-01-01",
17 "countryOfResidence": "US",
18 "countryOfNationality": "DE"
19 },
20 "legalDocuments": [
21 {
22 "documentType": "passport",
23 "documentNumber": "Z9431P",
24 "documentIssuedDate": 1639939034000,
25 "documentExpirationDate": 1839939034000,
26 "documentIssuedCountry": "DE",
27 "tags": [
28 {
29 "key": "customerType",
30 "value": "wallet"
31 }
32 ]
33 }
34 ],
35 "contactDetails": {
36 "emailIds": [
37 "baran@flagright.com"
38 ],
39 "contactNumbers": [
40 "+37112345432"
41 ],
42 "websites": [
43 "flagright.com"
44 ],
45 "addresses": [
46 {
47 "addressLines": [
48 "Klara-Franke Str 20"
49 ],
50 "postcode": "10557",
51 "city": "Berlin",
52 "state": "Berlin",
53 "country": "Germany",
54 "tags": [
55 {
56 "key": "customKey",
57 "value": "customValue"
58 }
59 ]
60 }
61 ]
62 },
63 "tags": [
64 {
65 "key": "customKey",
66 "value": "customValue"
67 }
68 ],
69 "metaData": {
70 "batteryLevel": 76.3,
71 "deviceLatitude": 13.009711,
72 "deviceLongitude": 76.102898,
73 "ipAddress": "79.144.2.20",
74 "vpnUsed": true
75 },
76 "createdTimestamp": 1641654664000,
77 "userId": "96647cfd9e8fe66ee0f3362e011e34e8"
78 },
79 "externalLinks": [
80 "string"
81 ],
82 "executedRules": [
83 {
84 "ruleInstanceId": "string",
85 "ruleName": "string",
86 "ruleDescription": "string",
87 "ruleAction": "ALLOW",
88 "ruleHit": true,
89 "ruleId": "string",
90 "versionId": "string",
91 "executedAt": 2220000000000,
92 "ruleHitMeta": {
93 "hitDirections": [
94 "ORIGIN"
95 ],
96 "falsePositiveDetails": {
97 "isFalsePositive": true,
98 "confidenceScore": 1.1
99 },
100 "sanctionsDetails": [
101 {
102 "name": "string",
103 "searchId": "string",
104 "requestHash": "string",
105 "iban": "string",
106 "entityType": "CONSUMER_NAME",
107 "sanctionHitIds": [
108 "string"
109 ],
110 "hitContext": {
111 "entity": "USER",
112 "entityType": "CONSUMER_NAME",
113 "userId": "string",
114 "transactionId": "string",
115 "ruleInstanceId": "string",
116 "ruleId": "string",
117 "iban": "string",
118 "yearOfBirth": 1,
119 "searchTerm": "string",
120 "paymentMethodId": "string"
121 },
122 "hitDirection": "ORIGIN",
123 "isRuleHit": true
124 }
125 ],
126 "isOngoingScreeningHit": true
127 },
128 "vars": [
129 {
130 "value": {},
131 "direction": "ORIGIN"
132 }
133 ],
134 "labels": [
135 "UNEXPECTED_BEHAVIOR"
136 ],
137 "nature": "AML",
138 "isShadow": true
139 }
140 ],
141 "riskScoreDetails": {
142 "kycRiskScore": 1.1,
143 "craRiskScore": 1.1,
144 "kycRiskLevel": "VERY_HIGH",
145 "craRiskLevel": "VERY_HIGH"
146 }
147 }
148 ],
149 "totalCount": 1.1
150}
Was this page helpful?
Previous

Batch create business user events

Next
Built with

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

batchIdstringRequired
Unique Batch Identifier

Query parameters

pageSizedoubleOptional1-100

Page size (default 20)

pagedoubleOptional>=1
Page

Response

OK
consumerUserEventslist of objects
totalCountdouble

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error